import grpc
from spidr4 import rpc
import example_config as e

if __name__ == '__main__':
    # Connect to the spidr4 control
    with grpc.insecure_channel(e.spidr4host()) as channel:

        # Get the control service
        control = rpc.ControlInfoStub(channel)

        # Get the version
        version = control.GetVersion(rpc.EMPTY)
        print(f"Version of {version.product} is {version.majr}.{version.minr} (git-info={version.commit_info})")

        serial = control.GetSerial(rpc.EMPTY)
        print(f"Spidr4 serial: {serial.value:016x}")

        chips=control.GetPixelChipInfo(rpc.EMPTY)
        print(f"Spidr4 has {len(chips.items)} pixelchip(s) attached")